%define name cunit
%define Name CUnit
%define bad_version 2.1-3
%define	major 1
%define	libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:		%{name}
Version:	2.1.3
Release:	%mkrel 1
License:	GPLv2+
Summary:	A Unit Testing Framework for C
Group:		System/Libraries
URL:		http://cunit.sourceforge.net
Source:		http://sourceforge.net/projects/cunit/files/CUnit/%{bad_version}/%{Name}-%{bad_version}.tar.bz2
Patch0:		%{name}-2.1.0.link_against_ncurses.patch
Patch1:		cunit-2.1-automake-1.13.patch
BuildRequires:	ncurses-devel

%description
CUnit is a lightweight system for writing, administering, and running unit
tests in C.  It provides C programmers a basic testing functionality with a
flexible variety of user interfaces.

CUnit is built as a static library which is linked with the user's testing
code.  It uses a simple framework for building test structures, and provides a
rich set of assertions for testing common data types. In addition, several
different interfaces are provided for running tests and reporting results.
These interfaces currently include:

- Automated: Non-interactive output to xml file
- Basic: Non-interactive flexible programming interface
- Console: Interactive console interface (ansi C)
- Curses: Interactive graphical interface (Unix)

%package -n %{libname}
Summary:	C testing framework
Group:		System/Libraries

%description -n %{libname}
CUnit is a lightweight system for writing, administering, and running unit
tests in C.  It provides C programmers a basic testing functionality with a
flexible variety of user interfaces.

CUnit is built as a static library which is linked with the user's testing
code.  It uses a simple framework for building test structures, and provides a
rich set of assertions for testing common data types. In addition, several
different interfaces are provided for running tests and reporting results.
These interfaces currently include:

- Automated: Non-interactive output to xml file
- Basic: Non-interactive flexible programming interface
- Console: Interactive console interface (ansi C)
- Curses: Interactive graphical interface (Unix)

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname %{name} 1 -d

%description -n	%{develname}
This package contains development files for %{name}.

%prep
%setup -q -n %{Name}-%{bad_version}
%patch0 -p 0
%patch1 -p1 -b .automake-1_13
chmod 644 AUTHORS NEWS ChangeLog README TODO

%build
autoreconf -f -i
%configure2_5x \
	--enable-curses
%make

%install
%makeinstall_std

# Drop .la file
rm -f  %{buildroot}%{_libdir}/libcunit.la

# ugly, but needed to deal with installed and non-installed documentation
install -d -m 755 %{buildroot}%{_datadir}/doc/%{libname}-devel-%{version}
mv %{buildroot}%{_prefix}/doc/%{Name} \
    %{buildroot}%{_datadir}/doc/%{libname}-devel-%{version}/html
install -m 644 AUTHORS NEWS ChangeLog README TODO \
    %{buildroot}%{_datadir}/doc/%{libname}-devel-%{version} 
rm -rf %{buildroot}%{_prefix}/doc

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_datadir}/doc/%{libname}-devel-%{version}
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{Name}
%{_datadir}/%{Name}
%{_mandir}/man3/*


%changelog
* Tue Nov 29 2016 zezinho <zezinho> 2.1.3-1.mga6
+ Revision: 1071023
- new version from 2014, time to upgrade

* Mon Feb 01 2016 umeabot <umeabot> 2.1.2-8.mga6
+ Revision: 929729
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.1.2-7.mga5
+ Revision: 748746
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 2.1.2-6.mga5
+ Revision: 693707
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 2.1.2-5.mga5
+ Revision: 678617
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.1.2-4.mga4
+ Revision: 503621
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.1.2-3.mga3
+ Revision: 348421
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 cjw <cjw> 2.1.2-2.mga3
+ Revision: 337625
+ rebuild (emptylog)

* Mon Dec 31 2012 pterjan <pterjan> 2.1.2-1.mga3
+ Revision: 336459
- Fix build with automake 1.13

  + sander85 <sander85>
    - Drop .la file.

* Wed Mar 30 2011 ahmad <ahmad> 2.1.2-1.mga1
+ Revision: 79098
- update to 2.1.2
- update Source url
- drop old/unneeded scriptlets
- imported package cunit

